Bug 172499 - su-user not allowed to mount usb-discs
su-user not allowed to mount usb-discs
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-05 07:22 EST by Rainer Rothkegel
Modified: 2013-03-05 22:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 13:19:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rainer Rothkegel 2005-11-05 07:22:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
fstab-sync adds usb-volumes on the fly with the mount option "pamconsole". This allows users with are logged into X or the text console to mount the volume. But it does not allow users logged in via the "su" command to mount the volume. I think this is an incosistency that should be removed.
 

Version-Release number of selected component (if applicable):
hal-0.5.2-2 

How reproducible:
Always

Steps to Reproduce:
1. Start a console and log in as user A
2. Change the user via the "su" command to another user B
3. Try to mount a USB volume
  

Actual Results:  The mount command responds "only root can mount <path to mount-point>". This is obviously wrong since any user can mount the volume as long as he/she is logged into the console.

Expected Results:  I think fstab-sync should be set up in a way that any local user should be able to mount volumes. The error message in the mount command should be corrected.

Additional info:
Comment 1 Christian Iseli 2007-01-19 19:41:28 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 petrosyan 2008-03-09 13:19:28 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.